WORDVECTORS(1)

NAME
wordVectors.pl - Write word vectors from WordNet glosses to a file for use by vector and vector_pairs measures

SYNOPSIS
 wordVectors.pl [[--stopfile STOPLIST]
          [--wnpath WNPATH] [--noexamples] [--cutoff VALUE]
          [--rhigh RHIGH] [--rlow RLOW]
          [--chigh CHIGH] [--clow CLOW] DBFILE
          | --help | --version]

DESCRIPTION
This program writes out word vectors computed from WordNet glosses in a database file specified by filename DBFILE. The database file is intended for use by the WordNet::Similarity::vector Perl module, but if you can think of something else to do with it, then go ahead.

OPTIONS
--stopfile=file

    Option specifying a list of stopwords to not be
    considered while counting.

--wnpath=path

    Specifies the path to the WordNet data files.
    Ordinarily, this path is determined from the $WNHOME
    environment variable. But this option overides this
    behavior.

--noexamples

    Removes examples from the glosses before processing.

--cutoff=number

    Option used to restrict the dimensions of the word
    vectors with an tf/idf cutoff. VALUE is the cutoff
    above which is an acceptable tf/idf value of a word.

--rhigh=number

    the upper frequency cutoff of the words
    selected to have a word-vector entry in the database.

--rlow=number

    the lower frequency cutoff of the words
    selected to have a word-vector entry in the database.

--chigh=number

    the upper frequency cutoff of words that form
    the dimensions of the word-vectors.

--clow=number

    the lower frequency cutoff of words that form
    the dimensions of the word-vectors.

--help

    Displays a detailed usage message

--version

    Displays version information.

BUGS
Report to WordNet::Similarity mailing list :
 http://groups.yahoo.com/group/wn-similarity <http://groups.yahoo.com/group/wn-similarity>

SEE ALSO
WordNet::Similarity

WordNet home page :
 <http://wordnet.princeton.edu>

WordNet::Similarity home page :
 http://wn-similarity.sourceforge.net <http://wn-similarity.sourceforge.net>

AUTHORS
 Ted Pedersen, University of Minnesota, Duluth
 tpederse at d.umn.edu

 Siddharth Patwardhan, University of Utah, Salt Lake City
 sidd at cs.utah.edu

COPYRIGHT
Copyright (c) 2005-2008, Ted Pedersen and Siddharth Patwardhan

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to:

    The Free Software Foundation, Inc.,
    59 Temple Place - Suite 330,
    Boston, MA  02111-1307, USA.